Endpoints
Retrieve Connected Store
Returns the profile, storefront domain, currency, and active token scopes for the store authenticated by the Authorization: Bearer <access_token> header.
Partner platforms and automation tools (such as Zapier, Make, or custom OAuth integrations) should call this endpoint immediately after completing the OAuth token exchange to verify the connection and retrieve the seller’s store metadata.
GET
/
api
/
v1
/
me
Retrieve Connected Store
curl --request GET \
--url https://app.blink.store/api/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.blink.store/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.blink.store/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.blink.store/api/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.blink.store/api/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.blink.store/api/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.blink.store/api/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "54ba8e0a-ba35-4609-902e-0ec0b236ac81",
"name": "Acme Digital Store",
"subdomain": "acme",
"custom_domain": null,
"storefront_url": "https://acme.blink.store",
"currency": "usd",
"country": "us",
"approval_status": "approved",
"created_at": "2023-11-07T05:31:56Z",
"auth": {
"mode": "live",
"token_type": "oauth",
"scopes": [
"products:read",
"orders:read",
"webhooks:write"
]
}
}
}⌘I
Retrieve Connected Store
curl --request GET \
--url https://app.blink.store/api/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.blink.store/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.blink.store/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.blink.store/api/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.blink.store/api/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.blink.store/api/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.blink.store/api/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "54ba8e0a-ba35-4609-902e-0ec0b236ac81",
"name": "Acme Digital Store",
"subdomain": "acme",
"custom_domain": null,
"storefront_url": "https://acme.blink.store",
"currency": "usd",
"country": "us",
"approval_status": "approved",
"created_at": "2023-11-07T05:31:56Z",
"auth": {
"mode": "live",
"token_type": "oauth",
"scopes": [
"products:read",
"orders:read",
"webhooks:write"
]
}
}
}